import { request } from "@/utils/request"

/**
 * wx021e792baf529aff  好运赢书券
 */
export let config = {
	appid: 'wx021e792baf529aff'
}

export async function getHome(data) {
	return request({url: `/luck/draw/home`, data})
}
// 获取公众号将此
export async function getPond(data) {
	return request({url: `/luck/draw/prize/pond`, data})
}

// 获取openId
export async function getOpenId(data) {
	return request({url: `/applet/openId`, data})
}

// 获取轮播消息
export async function getBanner(data) {
	return request({url: `/luck/draw/home/banner`, data})
}

// 获取中奖记录列表
export async function getSignList(data) {
	return request({url: `/luck/draw/record`, data})
}

// 书币充值失败重新领取
export async function setReClaim(data) {
	return request({url: `/luck/draw/reClaim`, data})
}

// 抽奖
export async function setDrawGain(data) {
	return request({url: `/luck/draw/gain`, data})
}

// 获取公众号文章
export async function getUrl() {
	return request({url: `/applet/mp/url`})
}

// 头两次领取
export async function setReceive(data) {
	return request({url: `/luck/draw/gain/receive`, data})
}